"""
Special template setup container

Felix Metzner 2021
"""

from typing import Union, Optional, Dict, NamedTuple

from rdstar.offline_analysis.fitting.fit_case import TemplateSetup
from rdstar.offline_analysis.mc_matching.sig_id_costomizer_tools import SigIDAndGenIDCombiner
from rdstar.offline_analysis.mc_matching.mc_matching_utilities import MCSigIDNameToQueryMappingType


__all__ = [
    "SpecialTemplateSetupInfo",
]


class SpecialTemplateSetupInfo(NamedTuple):
    template_setup: Union[TemplateSetup, Dict[str, TemplateSetup]]
    plot_color_dict: Dict[str, str]
    plot_labels_dict: Dict[str, str]
    custom_sig_queries: Optional[MCSigIDNameToQueryMappingType]
    sig_id_customizer: Optional[SigIDAndGenIDCombiner]
